Bug 486696 - NetworkManager 0.7.0.97 fails to activate system wireless connection
NetworkManager 0.7.0.97 fails to activate system wireless connection
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 02:10 EST by Joachim Frieben
Modified: 2009-03-08 15:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.7.0.99-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-08 15:33:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Excerpt from /var/log/messages showing NM failure dealing with wlan0 (1.41 KB, text/plain)
2009-02-22 06:45 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2009-02-21 02:10:40 EST
Description of problem:
After upgrading to the latest NM build from the F10 update candidates, the system wireless connection as set up in ifcfg-wlan0 and keys-wlan0 fails to activate. Instead, the user is prompted for the encryption key.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0.97-5.git20090220.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot system.
2. Log in to GNOME session.
  
Actual results:
NM prompts user for encryption key.

Expected results:
NM activates existing system connection wlan0.

Additional info:
- This used to work for NetworkManager-0.7.0-1.git20090102.fc10.x86_64.
- Stopping service NM and executing 'ifup wlan0' brings up wlan0 correctly.
Comment 1 Dan Williams 2009-02-21 14:27:23 EST
Can you attach some logs from /var/log/messages that show the failed system connection attempt?
Comment 2 Joachim Frieben 2009-02-22 06:45:51 EST
Created attachment 332850 [details]
Excerpt from /var/log/messages showing NM failure dealing with wlan0

This is now on the same system but updated to current "rawhide". However, NM fails the same way as before. Downgrading NM to NetworkManager-0.7.0-2.git20090207.fc11.x86_64 restores proper operation.
Comment 3 Dan Williams 2009-02-22 17:38:28 EST
Thanks for the report; fixed upstream in 09412869c10547a09d69012b54864a652f1f41d6.
Comment 4 Joachim Frieben 2009-02-26 13:42:44 EST
NetworkManager-0.7.0.98-1.git20090225.fc10 works again as expected.
Comment 5 Fedora Update System 2009-02-27 22:25:10 EST
NetworkManager-0.7.0.98-1.git20090225.fc10, NetworkManager-openconnect-0.7.0.97-1.fc10, NetworkManager-pptp-0.7.0.97-1.fc10, NetworkManager-openvpn-0.7.0.97-1.fc10, NetworkManager-vpnc-0.7.0.97-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager NetworkManager-openconnect NetworkManager-pptp NetworkManager-openvpn NetworkManager-vpnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1985
Comment 6 Fedora Update System 2009-03-06 12:35:38 EST
NetworkManager-0.7.0.99-1.fc10,knetworkmanager-0.7-0.8.20080926svn.fc10,NetworkManager-vpnc-0.7.0.99-1.fc10,NetworkManager-openvpn-0.7.0.99-1.fc10,NetworkManager-pptp-0.7.0.99-1.fc10,NetworkManager-openconnect-0.7.0.99-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-1.fc10,knetworkmanager-0.7-0.8.20080926svn.fc10,NetworkManager-vpnc-0.7.0.99-1.fc10,NetworkManager-openvpn-0.7.0.99-1.fc10,NetworkManager-pptp-0.7.0.99-1.fc10,NetworkManager-openconnect-0.7.0.99-1.fc10
Comment 7 Fedora Update System 2009-03-06 12:52:24 EST
NetworkManager-0.7.0.99-1.fc9,NetworkManager-vpnc-0.7.0.99-1.fc9,NetworkManager-openvpn-0.7.0.99-1.fc9,NetworkManager-pptp-0.7.0.99-1.fc9,NetworkManager-openconnect-0.7.0.99-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-1.fc9,NetworkManager-vpnc-0.7.0.99-1.fc9,NetworkManager-openvpn-0.7.0.99-1.fc9,NetworkManager-pptp-0.7.0.99-1.fc9,NetworkManager-openconnect-0.7.0.99-1.fc9
Comment 8 Fedora Update System 2009-03-08 15:30:55 EDT
NetworkManager-0.7.0.99-1.fc9, NetworkManager-vpnc-0.7.0.99-1.fc9, NetworkManager-openvpn-0.7.0.99-1.fc9, NetworkManager-pptp-0.7.0.99-1.fc9, NetworkManager-openconnect-0.7.0.99-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-03-08 15:32:24 EDT
NetworkManager-0.7.0.99-1.fc10, knetworkmanager-0.7-0.8.20080926svn.fc10, NetworkManager-vpnc-0.7.0.99-1.fc10, NetworkManager-openvpn-0.7.0.99-1.fc10, NetworkManager-pptp-0.7.0.99-1.fc10, NetworkManager-openconnect-0.7.0.99-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.